// components
import BottomTab from './components/BottomTab/index'
import Switch from './components/Switch/index'
import CheckBox from './components/CheckBox/index'
import RadioGroup from './components/Radio/index'
import Radio from './components/Radio/radio'
import Notify from './components/Dialog/Notify'
import HButton from './components/HButton/index'
import HContent from './components/HContent/index'
import HHeader from './components/HHeader/index'
import HView from './components/HView/index'
import ItemOption from './components/ItemOption/index'
import ListItem from './components/ListItem/ListItem'
import Scroll from './components/Scroll/index.vue'
import NumberKeyboard from './components/NumberKeyboard/index.vue'
import OptionButton from './components/ItemOption/OptionButton'
import Swipe from './components/Swipe/index'
import SwipeItem from './components/Swipe/SwipeItem'
import Item from './components/ListItem/Item'
import Spin from './components/Spin/index'
import TopTip from './components/TopTip/index'
import Stab from './components/STab/index'
import TabItem from './components/STab/tab-item'
import TabButton from './components/BottomTab/tab-button'
import HFile from './components/HFile/index'
import HLayout from './components/HLayout/index'
import CurrencyInput from './components/CurrencyInput/index'
import HProgress from './components/Progress/index'
import HRange from './components/Range/index'
import SelectField from './components/Select/SelectField'
import DateField from './components/DateField/index'
import Field from './components/Field/index'
import componentInstall from './components/component'

// compontenPlugins
import ActionSheetPlugin from './components/ActionSheet/index'
import ShowPicturePlugin from './components/ShowPicture/index'
import SelectPlugin from './components/Select/index'
import NotifyPlugin from './components/Dialog/plugins/index'
import NumberKeyboardPlugin from './components/NumberKeyboard/index'

// styles
import appStyle from './common/styles/app.core.less'

import {showLoading, hideLoading, showLongTop, showLongCenter, showLongBottom, showSuccess, showError, showConfirm, showPopup,showActionSheet, showTime, showBigPicture, selectList, showNumberKeyboard, showNotify} from './common/scripts/hlsPopup'
import elementUtil from './common/scripts/elementUtil'
import filter from './common/scripts/filter'
import directives from './common/scripts/directives'
import prototype from './common/scripts/prototype'
import {getUrlParam, createScript, detectOS} from './common/scripts/utils'
import {timeout, assert, case2Param, range, formatNumber, isDef, isUndefined, isString, isNumber, isArray, isBoolean, isDate, isFunction, isNull, isObject, isRegExp} from './common/utils'

const hlsPopup = {
  showLoading,
  hideLoading,
  showLongTop,
  showLongCenter,
  showLongBottom,
  showSuccess,
  showError,
  showConfirm,
  showPopup,
  showActionSheet,
  showTime,
  showBigPicture,
  selectList,
  showNumberKeyboard,
  showNotify,
}

const version = '0.0.6'

export {
  appStyle,
  HView,
  HHeader,
  HContent,
  Scroll,
  NumberKeyboard,
  ItemOption,
  OptionButton,
  HButton,
  Swipe,
  SwipeItem,
  ListItem,
  Item,
  Switch,
  CheckBox,
  RadioGroup,
  Radio,
  Spin,
  TopTip,
  Notify,
  Stab,
  TabItem,
  BottomTab,
  TabButton,
  HFile,
  HLayout,
  CurrencyInput,
  HProgress,
  HRange,
  SelectField,
  DateField,
  Field,
  ActionSheetPlugin,
  ShowPicturePlugin,
  SelectPlugin,
  NotifyPlugin,
  NumberKeyboardPlugin,
  hlsPopup,
  showLoading,
  hideLoading,
  showActionSheet,
  showBigPicture,
  showConfirm,
  showError,
  selectList,
  showLongBottom,
  showLongCenter,
  showLongTop,
  showNotify,
  showNumberKeyboard,
  showPopup,
  showSuccess,
  showTime,
  filter,
  directives,
  prototype,
  elementUtil,
  getUrlParam,
  createScript,
  detectOS,
  timeout,
  assert,
  case2Param,
  range,
  formatNumber,
  isDef,
  isUndefined,
  isString,
  isNumber,
  isArray,
  isBoolean,
  isDate,
  isFunction,
  isNull,
  isObject,
  isRegExp,
  version,
  componentInstall,
}
